## GtkRecentChooserDialog GtkRecentChooserDialog |

## Functions

GtkWidget * | gtk_recent_chooser_dialog_new ()
GtkWidget * | gtk_recent_chooser_dialog_new_for_manager ()

## Types and Values

struct | GtkRecentChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkRecentChooserDialog

## Implemented Interfaces

GtkRecentChooserDialog implements AtkImplementorIface, GtkBuildable and GtkRecentChooser.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_recent_chooser_dialog_new ()

    GtkWidget *
    gtk_recent_chooser_dialog_new (const gchar *title,
                                   GtkWindow *parent,
                                   const gchar *first_button_text,
                                   ...);

Creates a new GtkRecentChooserDialog. This function is analogous to `gtk_dialog_new_with_buttons()`.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`,. | [allow-none]
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
Varargs | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkRecentChooserDialog

Since: 2.10

### gtk_recent_chooser_dialog_new_for_manager ()

    GtkWidget *
    gtk_recent_chooser_dialog_new_for_manager
                                   (const gchar *title,
                                    GtkWindow *parent,
                                    GtkRecentManager *manager,
                                    const gchar *first_button_text,
                                    ...);

Creates a new GtkRecentChooserDialog with a specified recent manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a GtkRecentManager object.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`,. | [allow-none]
manager | a GtkRecentManager |
first_button_text | stock ID or text to go in the first button, or `NULL`. | [allow-none]
Varargs | response ID for the first button, then additional (button, id) pairs, ending with `NULL` |

#### Returns

a new GtkRecentChooserDialog

Since: 2.10

## Types and Values

### struct GtkRecentChooserDialog

    struct GtkRecentChooserDialog;